Provider
Returns the relationship provider
organization Identifier
Filters the collection of provider using a 'disjoint' RSQL expression
Number of pages to return. Can be used with page[size]
Number of elements per page. Can be used with page[number]
Offset from 0 to start paginating. Can be used with page[limit]
Maximum number of items to return. Can be used with page[offset]
For requesting total pages/records be included in the response page meta data
Successful response
GET /api/v1/organization/{organizationId}/provider HTTP/1.1
Accept: */*
Successful response
{
"data": [],
"included": [
{
"attributes": {},
"id": "text",
"relationships": {},
"type": "text"
}
]
}Creates an item of type provider and adds it to provider
organization Identifier
Successful response
POST /api/v1/organization/{organizationId}/provider HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 196
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"description": "text",
"name": "text"
},
"relationships": {
"organization": {
"id": "text",
"type": "organization"
},
"version": {
"id": "text",
"type": "version"
}
}
}
}Successful response
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"description": "text",
"name": "text"
},
"relationships": {
"organization": {
"id": "text",
"type": "organization"
},
"version": {
"id": "text",
"type": "version"
}
}
}
}Returns an instance of type provider
organization Identifier
provider Identifier
Successful response
GET /api/v1/organization/{organizationId}/provider/{providerId} HTTP/1.1
Accept: */*
Successful response
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"description": "text",
"name": "text"
},
"relationships": {
"organization": {
"id": "text",
"type": "organization"
},
"version": {
"id": "text",
"type": "version"
}
}
},
"included": [
{
"attributes": {},
"id": "text",
"relationships": {},
"type": "text"
}
]
}Deletes an instance of type provider
organization Identifier
provider Identifier
Successful response
No content
DELETE /api/v1/organization/{organizationId}/provider/{providerId} HTTP/1.1
Accept: */*
Successful response
No content
Modifies an instance of type provider
organization Identifier
provider Identifier
Successful response
No content
PATCH /api/v1/organization/{organizationId}/provider/{providerId} HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 196
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"description": "text",
"name": "text"
},
"relationships": {
"organization": {
"id": "text",
"type": "organization"
},
"version": {
"id": "text",
"type": "version"
}
}
}
}Successful response
No content
Last updated
Was this helpful?